Package tigase.xmpp.impl.push

# Class IgnoreFromUnknownFilter

java.lang.Object
tigase.xmpp.impl.push.IgnoreFromUnknownFilter

All Implemented Interfaces:
  `PushNotificationsAware`, `PushNotificationsFilter`

@Bean(name="ignore-from-unknown", parent=PushNotifications.class, active=true) public class IgnoreFromUnknownFilter extends Object implements PushNotificationsFilter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ID`
  `protected final RosterAbstract`
  `roster_util`
  `static final String`
  `XMLNS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IgnoreFromUnknownFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Element[]`
  `getDiscoFeatures()`
  `protected Map<BareJID,RosterElement>`
  `getRoster(BareJID jid)`
  `protected boolean`
  `isInRoster(Packet packet, XMPPResourceConnection session)`
  `boolean`
  `isSendingNotificationAllowed(BareJID userJid, XMPPResourceConnection session, Element pushServiceSettings, Packet packet)`
  `void`
  `processEnableElement(Element enableEl, Element settingsEl)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### XMLNS

    public static final String XMLNS
    See Also:
      - Constant Field Values

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

  - ### roster_util

    protected final RosterAbstract roster_util

- ## Constructor Details

  - ### IgnoreFromUnknownFilter

    public IgnoreFromUnknownFilter()

- ## Method Details

  - ### getDiscoFeatures

    public Element[] getDiscoFeatures()
    Specified by:
      `getDiscoFeatures` in interface `PushNotificationsAware`

  - ### processEnableElement

    public void processEnableElement(Element enableEl, Element settingsEl)
    Specified by:
      `processEnableElement` in interface `PushNotificationsAware`

  - ### isSendingNotificationAllowed

    public boolean isSendingNotificationAllowed(BareJID userJid, XMPPResourceConnection session, Element pushServiceSettings, Packet packet)
    Specified by:
      `isSendingNotificationAllowed` in interface `PushNotificationsFilter`

  - ### isInRoster

    protected boolean isInRoster(Packet packet, XMPPResourceConnection session)

  - ### getRoster

    protected Map<BareJID,RosterElement> getRoster(BareJID jid) throws TigaseDBException
    Throws:
      `TigaseDBException`